From 093898d147a1ed60cd4f66a2e187cd8826fe9692 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Fri, 29 Oct 2021 18:21:03 -0300
Subject: [PATCH] Document default and changeability of
 log_startup_progress_interval

---
 doc/src/sgml/config.sgml | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index de77f14573..3f806740d5 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -6562,15 +6562,21 @@ local0.*    /var/log/postgresql
          Sets the amount of time after which the startup process will log
          a message about a long-running operation that is still in progress,
          as well as the interval between further progress messages for that
-         operation. This setting is applied separately to each operation.
+         operation. The default is 10 seconds. A setting of <literal>0</literal>
+         disables the feature.  If this value is specified without units,
+         it is taken as milliseconds.  This setting is applied separately to
+         each operation.
+         This parameter can only be set in the <filename>postgresql.conf</filename>
+         file or on the server command line.
+        </para>
+
+        <para>
          For example, if syncing the data directory takes 25 seconds and
          thereafter resetting unlogged relations takes 8 seconds, and if this
          setting has the default value of 10 seconds, then a messages will be
          logged for syncing the data directory after it has been in progress
          for 10 seconds and again after it has been in progress for 20 seconds,
          but nothing will be logged for resetting unlogged operations.
-         A setting of <literal>0</literal> disables the feature. If this value
-         is specified without units, it is taken as milliseconds.
         </para>
        </listitem>
      </varlistentry>
-- 
2.30.2

